Endpoint to update the store setup progress
It will update the store setup progress
PUT
/
store
/
setup
/
progress
Endpoint to update the store setup progress
curl --request PUT \
--url https://services.leadconnectorhq.com/store/setup/progress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"onboardingCompletedAt": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
onboardingCompletedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://services.leadconnectorhq.com/store/setup/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/setup/progress"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"onboardingCompletedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {},
"message": "Successfully created"
}Authorizations
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Endpoint to update the store setup progress
curl --request PUT \
--url https://services.leadconnectorhq.com/store/setup/progress \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"onboardingCompletedAt": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
altId: '6578278e879ad2646715ba9c',
altType: 'location',
onboardingCompletedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://services.leadconnectorhq.com/store/setup/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/setup/progress"
payload = {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"onboardingCompletedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": true,
"data": {},
"message": "Successfully created"
}